.modal_back{
    position: fixed;
    z-index: 999;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: rgb(0, 0, 0, 0.5);
    backdrop-filter: blur(2px);
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    transition: opacity 0.5s ease, visibility 0s linear 0.5s;
    display: flex;
    align-items: center;
    justify-content: center;
}
.modal__body{
    height: 100%;
}
.modal__close{
    cursor: pointer;
    position: absolute;
    z-index: 10;
    padding: 0;
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    transition: opacity 0.5s ease, visibility 0s linear 0.5s;
}
.modal_back.is-open,
.modal_back.is-open .modal__close{
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
    transition: opacity 0.5s ease, visibility 0s linear 0s;
}
.modal__open{
    cursor: pointer;
}


/* クリエイター表示時 */
.mode-content.modal{
    position: relative;
    width: calc(90% - clamp(50px, 5vw, 60px));
    max-width: 1000px;
    max-height: calc(90% - 100px);
    min-height: 250px;
    background: #000;
    border: 3px solid #8E7C40;
    display: flex;
    flex-direction: column;
}
.mode-content .modal__body{
    margin: 2px;
    border: 1px solid #8E7C40;
    padding: 50px 20px 20px 20px;
    z-index: 11;
    position: relative;
    display: flex;
    flex-direction: column;
    min-height: 0;
}
.mode-content .modal__body::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    z-index: 10;
    width: 100%;
    height: 100%;
    background:
        url('../img/dec__grass3.png') right -3px bottom 0 / min(40vw, 250px) auto no-repeat,
        url('../img/dec__grass4.png') left -3px top 0 / min(40vw, 250px) auto no-repeat
    ;
    opacity: 0.5;
    z-index: -1;
}

.mode-content .creator_text,
.mode-content .collaborate__modal_title{
    padding-bottom: 1rem;
    border-bottom: 2px solid #8E7C40;
    margin: clamp(0.5rem, 1.5vw, 0.6rem) 0;
    justify-content: flex-start;
    flex-wrap: wrap;
}
.mode-content .creator_name span,
.mode-content .collaborate_role{
    color: #8E7C40;
    padding-left: 0.6em;
    position: relative;
    border: none;
}
.mode-content .collaborate_role{
    font-size: clamp(1.2rem,3vw,2rem);
}
.mode-content .creator_name span::before,
.mode-content .collaborate_role::before{
    content: '';
    position: absolute;
    left: calc(1em / -2);
    top: calc(50% - (1em / 2.1));
    transform-origin: center top;
    width: 1em;
    aspect-ratio: 150 / 78;
    background: url('../img/dec__title-gold.png');
    background-repeat: no-repeat;
    background-size: contain;
    transform: rotate(-90deg) translate(-50%, 0);
}
.mode-content .collaborate_name h3{
    font-size: clamp(1.5rem,5vw,3rem);
    text-align: left;
    color: #d9d9d9;
}
.mode-content .creator_name{
    text-align: left;
    justify-content: flex-start;
}
.mode-content .creator_name p{
    width: 100%;
    font-size: 1rem;
    line-height: 1.2;
    color: #bdac74;
    text-align: left;
}
.mode-content p,
.mode-content .modal_dec{
    display: block;
}
.mode-content p{
    color: #d9d9d9;
    font-size: 1.5rem;
    line-height: 1.8em;
    overflow-y: auto;
    max-height: 100%;
    font-size: clamp(1rem, 3vw, 1.2rem);

    /* firefox対応 */
    scrollbar-width: 6px;
    scrollbar-color: #C39E38;
}
.mode-content p::-webkit-scrollbar {
  width: 6px;
}
.mode-content p::-webkit-scrollbar-track{
    background: #5B5B5B;
    border-radius: 3px;
}
.mode-content p::-webkit-scrollbar-thumb {
  background-color: #C39E38;
  border-radius: 3px;
}


.mode-content .modal__close{
    width: clamp(50px, 5vw, 60px);
    top: calc(clamp(50px, 5vw, 60px) / -2);
    right: calc(clamp(50px, 5vw, 60px) / -2);
    aspect-ratio: 1 / 1;
    z-index: 14;
}
.mode-content .modal_dec{
    font-size: 2.25rem;
    left: 0;
    top: -1.1em;
    position: absolute;
    line-height: 1;
}

/* youtube表示時 */
.mode-youtube.modal{
    position: relative;
    aspect-ratio: 560 / 315;
    width: min(calc(100% - 55px), calc((100vh - 50px) * 560 / 315));
    max-width: 1600px;
    background: #d9d9d9;
}
.mode-youtube .youtube_ctrl{
    width: calc(100% - 10px);
    margin: 5px auto;
}
.mode-youtube .modal__close{
    width: 40px;
    height: 40px;
    top: -10px;
    right: -10px;
}
@media screen and (max-width: 480px) {
.mode-youtube .youtube_ctrl {
    width: calc(100% - 4px);
    margin: 2px auto;
}
}